This API uses the new search engine to obtain orders.

searchTerm uses the following fields to evaluate a free text query:

OrderId, Account Name, Account Number, Driver Name, Driver Number, Recurrence Name, Template Name, Reference Number 1, Reference Number 2, Reference Number 3, Pickup Address, Pickup Company, Delivery Address, Delivery Company, Barcodes.

The filters of the filters array are combined with And. secondaryFilter is an optional second condition on a filter, combined with it by logic (Or or 1).

The fields and operators you can filter on are listed by GET api/v1/search/orders. Set pageSize to 20 or less: each order takes about 2,000 characters, and the default of 50 returns about 100,000.

Status: 0 Received, 1 Assigned, 2 PickedUp, 4 Delivered, 91 Cancelled. Filter on it by name (Status IsEqualTo Delivered); to count the orders in a status, use a pageSize of 1 and read totalCount.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
int32
1 to 1000
int32
1 to 500
string | null

The Query to use as a free text search. This is the equivalent to the search text field on the Orders Page.

filters
array of objects | null
filters
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

403

Not authorized to use this Endpoint

500

An error occurred when trying to search for the orders

Language
Credentials
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain
text/json